scala.collection.generic

# GenericOrderedTraversableTemplate

#### trait GenericOrderedTraversableTemplate[+A, +CC[X] <: Traversable[X]] extends HasNewBuilder[A, CC[A]]

This trait represents collections classes which require ordered element types.

Source
  GenericOrderedTraversableTemplate.scala

Linear Supertypes
HasNewBuilder[A, CC[A] @scala.annotation.unchecked.uncheckedVariance], AnyRef, Any
Known Subclasses
PriorityQueue, PriorityQueueProxy, SynchronizedPriorityQueue
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GenericOrderedTraversableTemplate
2. HasNewBuilder
3. AnyRef
4. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def newBuilder: Builder[A, CC[A] @scala.annotation.unchecked.uncheckedVariance]

   The builder that builds instances of Repr

   The builder that builds instances of Repr

   Attributes
     protected[this]
   Definition Classes
     HasNewBuilder

2. #### implicit abstract val ord: Ordering[A]

   Attributes
     protected[this]

3. #### abstract def orderedCompanion: GenericOrderedCompanion[CC]

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from GenericOrderedTraversableTemplate[A, CC] to any2stringadd[GenericOrderedTraversableTemplate[A, CC]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (GenericOrderedTraversableTemplate[A, CC], B)

   Implicit information
     This member is added by an implicit conversion from GenericOrderedTraversableTemplate[A, CC] to ArrowAssoc[GenericOrderedTraversableTemplate[A, CC]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (GenericOrderedTraversableTemplate[A, CC]) ⇒ Boolean, msg: ⇒ Any): GenericOrderedTraversableTemplate[A, CC]

   Implicit information
     This member is added by an implicit conversion from GenericOrderedTraversableTemplate[A, CC] to Ensuring[GenericOrderedTraversableTemplate[A, CC]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (GenericOrderedTraversableTemplate[A, CC]) ⇒ Boolean): GenericOrderedTraversableTemplate[A, CC]

   Implicit information
     This member is added by an implicit conversion from GenericOrderedTraversableTemplate[A, CC] to Ensuring[GenericOrderedTraversableTemplate[A, CC]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): GenericOrderedTraversableTemplate[A, CC]

    Implicit information
      This member is added by an implicit conversion from GenericOrderedTraversableTemplate[A, CC] to Ensuring[GenericOrderedTraversableTemplate[A, CC]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): GenericOrderedTraversableTemplate[A, CC]

    Implicit information
      This member is added by an implicit conversion from GenericOrderedTraversableTemplate[A, CC] to Ensuring[GenericOrderedTraversableTemplate[A, CC]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from GenericOrderedTraversableTemplate[A, CC] to StringFormat[GenericOrderedTraversableTemplate[A, CC]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### def genericOrderedBuilder[B](implicit ord: Ordering[B]): Builder[B, CC[B]]

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from GenericOrderedTraversableTemplate[A, CC] to CollectionsHaveToParArray[GenericOrderedTraversableTemplate[A, CC], T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (GenericOrderedTraversableTemplate[A, CC]) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### def →[B](y: B): (GenericOrderedTraversableTemplate[A, CC], B)

    Implicit information
      This member is added by an implicit conversion from GenericOrderedTraversableTemplate[A, CC] to ArrowAssoc[GenericOrderedTraversableTemplate[A, CC]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from HasNewBuilder[A, CC[A] @scala.annotation.unchecked.uncheckedVariance]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from GenericOrderedTraversableTemplate[A, CC] to CollectionsHaveToParArray[GenericOrderedTraversableTemplate[A, CC], T]

### Inherited by implicit conversion any2stringadd from GenericOrderedTraversableTemplate[A, CC] to any2stringadd[GenericOrderedTraversableTemplate[A, CC]]

### Inherited by implicit conversion StringFormat from GenericOrderedTraversableTemplate[A, CC] to StringFormat[GenericOrderedTraversableTemplate[A, CC]]

### Inherited by implicit conversion Ensuring from GenericOrderedTraversableTemplate[A, CC] to Ensuring[GenericOrderedTraversableTemplate[A, CC]]

### Inherited by implicit conversion ArrowAssoc from GenericOrderedTraversableTemplate[A, CC] to ArrowAssoc[GenericOrderedTraversableTemplate[A, CC]]

### Ungrouped